# Selecting Locations

* MUST be selected at random right before the ceremony
    
* MUST have physical access control to prevent inflow and outflow of personnel during ceremony

* SHOULD NOT have electronics in it as they can be used for side channel attacks

* SHOULD NOT have windows to prevent exfiltration of data via light or observation of screen

## Location Examples

* A hotel room although it is relatively common to find spying devices in them so they are not a great choice

* A moving vehicle such as car, bus, train, ferris wheel given that the operator is able to secure a space which can be locked and has no strangers in it

* Open space with nobody around such as a forest, desert, large parking lot etc.


Despite all these measures, the location may be compromised anyways, as a malicious actor may have done so with another target in mind, or a more broad campaign, for example in the case for three letter agencies may plant cameras and microphones in hotels for intel gathering. For this reason it is always highly preferred to perform cryptographic actions in a properly secured facility such as a SCIF.